/*
 * cube.h
 *
 *  Created on: 4 mars 2018
 *      Author: ros
 */

#include "Randomobject.h"

#ifndef LEARNINGOBJECT_CUBE_H_
#define LEARNINGOBJECT_CUBE_H_

class Cube: public Random_object {
public:
	Cube();
	virtual ~Cube();
	virtual std::string getSdf();
	virtual std::string printDataSize();
protected:

	float length;
	float width;
	float height;

	float min_length = 0.1;
	float min_width  = 0.1;
	float min_height = 0.1;

	float max_length = 0.9;
	float max_width  = 0.9;
	float max_height = 0.9;

};

#endif /* LEARNINGOBJECT_CUBE_H_ */
