/*
 * Randomobject.cpp
 *
 *  Created on: 4 mars 2018
 *      Author: ros
 */

#include "Randomobject.h"

Random_object::Random_object() {
	this->pos_x = RandomFloat(this->min_pos_x,this->max_pos_x);
	this->pos_y = RandomFloat(this->min_pos_y,this->max_pos_y);
	this->pos_z = RandomFloat(this->min_pos_z,this->max_pos_z);

	this->rot_pos_x = RandomFloat(this->min_rot_pos_x,this->max_rot_pos_x);
	this->rot_pos_y = RandomFloat(this->min_rot_pos_y,this->max_rot_pos_y);
	this->rot_pos_z = RandomFloat(this->min_rot_pos_z,this->max_rot_pos_z);

	this->mu =0.01;
	this->mu2 =0.01;
}

Random_object::~Random_object() {

}

std::string Random_object::getSdf() {

	return "";
}

float Random_object::RandomFloat(float min, float max) {
	return (max - min) * ((((float) rand()) / (float) RAND_MAX)) + min;
}

std::string Random_object::get_sdf_header() {
	std::string header ="<?xml version='1.0'?> \
							<sdf version ='1.6'> \
						      <model name ="+ this->getModelName() +"> <link name ='link'> \
							  <pose>" + std::to_string(this->pos_x) +" "+ std::to_string(this->pos_y) +" "+ std::to_string(this->pos_z) + " " + std::to_string(this->rot_pos_x) +" "+ std::to_string(this->rot_pos_y) +" "+ std::to_string(this->rot_pos_z) +"</pose>\
			            ";
	return header;
}

std::string Random_object::get_sdf_footer() {
	std::string header ="</model> \
			     			</sdf>\
			            ";

	return header;
}

std::string Random_object::printDataSize() {
	return "";
}
